#!/usr/bin/env bash
params=''

if [[ -z "${1}" ]]; then
    echo "ERROR - no script provided - aborting"
    exit 1
fi

 script_name="${1}"

if [[ "$#" -eq 2 ]]; then
   params="${2}"
fi
 
 pycompss init
 pycompss monitor start
 pycompss run --monitoring=1000 -g "${script_name}" "${params}"
 # During the execution, go to the URL in your web browser
 pycompss monitor stop